summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authortnut <thierryn1 at hispeed dot ch>2010-04-21 17:24:40 +0200
committertnut <thierryn1 at hispeed dot ch>2010-04-21 17:24:40 +0200
commit640a51dca44d8d9a03cff52d762e530b1d188bb2 (patch)
tree7d17e34f7b3d18c81d66fddcf6f21644b5d05eb7
parent107133ed087b3de32b4c2ae96755a98093487269 (diff)
parent15e991f88d923b586dd811bfb3a7bc4b5b2623ec (diff)
downloadnutyx-pakxe-640a51dca44d8d9a03cff52d762e530b1d188bb2.tar.gz
nutyx-pakxe-640a51dca44d8d9a03cff52d762e530b1d188bb2.tar.bz2
nutyx-pakxe-640a51dca44d8d9a03cff52d762e530b1d188bb2.tar.xz
nutyx-pakxe-640a51dca44d8d9a03cff52d762e530b1d188bb2.zip
Merge remote branch 'lesibel/master'
-rw-r--r--extra/brltty/.footprint4
-rw-r--r--extra/brltty/.md5sum3
-rw-r--r--extra/brltty/Pkgfile32
-rw-r--r--extra/brltty/brltty68
-rw-r--r--extra/brltty/brltty.conf2
5 files changed, 109 insertions, 0 deletions
diff --git a/extra/brltty/.footprint b/extra/brltty/.footprint
new file mode 100644
index 000000000..1094db39d
--- /dev/null
+++ b/extra/brltty/.footprint
@@ -0,0 +1,4 @@
+drwxr-xr-x root/root etc/
+-rw-r--r-- root/root etc/brltty.conf
+drwxr-xr-x root/root etc/conf.d/
+-rw-r--r-- root/root etc/conf.d/brltty.conf
diff --git a/extra/brltty/.md5sum b/extra/brltty/.md5sum
new file mode 100644
index 000000000..7ddd5a9e0
--- /dev/null
+++ b/extra/brltty/.md5sum
@@ -0,0 +1,3 @@
+831ebaf0c56091702929c68805d20c4f brltty
+b3b492240ba33fd3af45a181f5b89e7a brltty-4.1.tar.gz
+a8ab8b3dd059e96e1734bc9cdcf844fc brltty.conf
diff --git a/extra/brltty/Pkgfile b/extra/brltty/Pkgfile
new file mode 100644
index 000000000..0cf92a63f
--- /dev/null
+++ b/extra/brltty/Pkgfile
@@ -0,0 +1,32 @@
+# Decription: Terminal Braille
+# URL: http://mielke.cc/brltty
+# Maintainer: NuTyX core team
+# Packager: lesibel at free dot fr
+# Depends on: xorg-libxaw, at-spi, gpm, icu, python, tcl, atk, xorg-libxtst
+
+name=brltty
+version=4.1
+release=1
+
+source=( http://mielke.cc/$name/releases/$name-$version.tar.gz
+ brltty brltty.conf )
+
+build() {
+ cd $name-$version
+ CFLAGS+="${CFLAGS} -D_GNU_SOURCE" \
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ --enable-gpm \
+ --disable-java-bindings \
+ --disable-caml-bindings
+ make
+ make DESTDIR=$PKG install
+
+# install -D -m 755 $SRC/brltty $PKG/etc/rc.d/init.d/brltty
+ install -D -m 644 $SRC/brltty.conf $PKG/etc/conf.d/brltty.conf
+ install -D -m 644 Documents/brltty.conf $PKG/etc/brltty.conf
+
+}
+
diff --git a/extra/brltty/brltty b/extra/brltty/brltty
new file mode 100644
index 000000000..5ed21a52d
--- /dev/null
+++ b/extra/brltty/brltty
@@ -0,0 +1,68 @@
+#!/bin/bash
+
+daemon_name=brltty
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/$daemon_name.conf
+
+get_pid() {
+ pidof -o %PPID $daemon_name
+}
+
+case "$1" in
+ start)
+ stat_busy "Starting $daemon_name daemon"
+
+ PID=$(get_pid)
+ if [ -z "$PID" ]; then
+ [ -f /var/run/$daemon_name.pid ] && rm -f /var/run/$daemon_name.pid
+ # RUN
+ $daemon_name $brltty_args
+ #
+ if [ $? -gt 0 ]; then
+ stat_fail
+ exit 1
+ else
+ echo $(get_pid) > /var/run/$daemon_name.pid
+ add_daemon $daemon_name
+ stat_done
+ fi
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+
+ stop)
+ stat_busy "Stopping $daemon_name daemon"
+ PID=$(get_pid)
+ # KILL
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ #
+ if [ $? -gt 0 ]; then
+ stat_fail
+ exit 1
+ else
+ rm -f /var/run/$daemon_name.pid &> /dev/null
+ rm_daemon $daemon_name
+ stat_done
+ fi
+ ;;
+
+ restart)
+ $0 stop
+ sleep 3
+ $0 start
+ ;;
+
+ status)
+ stat_busy "Checking $daemon_name status";
+ ck_status $daemon_name
+ ;;
+
+ *)
+ echo "usage: $0 {start|stop|restart|status}"
+esac
+
+exit 0
diff --git a/extra/brltty/brltty.conf b/extra/brltty/brltty.conf
new file mode 100644
index 000000000..94115e1d5
--- /dev/null
+++ b/extra/brltty/brltty.conf
@@ -0,0 +1,2 @@
+# Specify any arguments to pass to brltty here.
+brltty_args="" \ No newline at end of file